\hypertarget{structtimlUtilInitializer}{\section{timl\-Util\-Initializer Struct Reference}
\label{structtimlUtilInitializer}\index{timl\-Util\-Initializer@{timl\-Util\-Initializer}}
}
\subsection*{Data Fields}
\begin{DoxyCompactItemize}
\item 
\hypertarget{structtimlUtilInitializer_ae6075cd66ba5a358262b20f65a7fce6b}{timl\-Util\-Initializer\-Type {\bfseries type}}\label{structtimlUtilInitializer_ae6075cd66ba5a358262b20f65a7fce6b}

\item 
float \hyperlink{structtimlUtilInitializer_aa9fc114a6fbec1070ecf87c3e147dd67}{val}
\item 
float \hyperlink{structtimlUtilInitializer_a2771e09d4ead50b451ed38e6cba99150}{min}
\item 
float \hyperlink{structtimlUtilInitializer_adeb987a00803c1c7218954618f1f56cc}{max}
\item 
float \hyperlink{structtimlUtilInitializer_a9c842edeeceb0c66a29f08d1fadebce8}{mean}
\item 
float \hyperlink{structtimlUtilInitializer_a37e42634a42df16a5f460b266bce968a}{std}
\end{DoxyCompactItemize}


\subsection{Field Documentation}
\hypertarget{structtimlUtilInitializer_adeb987a00803c1c7218954618f1f56cc}{\index{timl\-Util\-Initializer@{timl\-Util\-Initializer}!max@{max}}
\index{max@{max}!timlUtilInitializer@{timl\-Util\-Initializer}}
\subsubsection[{max}]{\setlength{\rightskip}{0pt plus 5cm}float timl\-Util\-Initializer\-::max}}\label{structtimlUtilInitializer_adeb987a00803c1c7218954618f1f56cc}
uniform initializer \hypertarget{structtimlUtilInitializer_a9c842edeeceb0c66a29f08d1fadebce8}{\index{timl\-Util\-Initializer@{timl\-Util\-Initializer}!mean@{mean}}
\index{mean@{mean}!timlUtilInitializer@{timl\-Util\-Initializer}}
\subsubsection[{mean}]{\setlength{\rightskip}{0pt plus 5cm}float timl\-Util\-Initializer\-::mean}}\label{structtimlUtilInitializer_a9c842edeeceb0c66a29f08d1fadebce8}
Gaussian initializer \hypertarget{structtimlUtilInitializer_a2771e09d4ead50b451ed38e6cba99150}{\index{timl\-Util\-Initializer@{timl\-Util\-Initializer}!min@{min}}
\index{min@{min}!timlUtilInitializer@{timl\-Util\-Initializer}}
\subsubsection[{min}]{\setlength{\rightskip}{0pt plus 5cm}float timl\-Util\-Initializer\-::min}}\label{structtimlUtilInitializer_a2771e09d4ead50b451ed38e6cba99150}
uniform initializer \hypertarget{structtimlUtilInitializer_a37e42634a42df16a5f460b266bce968a}{\index{timl\-Util\-Initializer@{timl\-Util\-Initializer}!std@{std}}
\index{std@{std}!timlUtilInitializer@{timl\-Util\-Initializer}}
\subsubsection[{std}]{\setlength{\rightskip}{0pt plus 5cm}float timl\-Util\-Initializer\-::std}}\label{structtimlUtilInitializer_a37e42634a42df16a5f460b266bce968a}
Gaussian initializer \hypertarget{structtimlUtilInitializer_aa9fc114a6fbec1070ecf87c3e147dd67}{\index{timl\-Util\-Initializer@{timl\-Util\-Initializer}!val@{val}}
\index{val@{val}!timlUtilInitializer@{timl\-Util\-Initializer}}
\subsubsection[{val}]{\setlength{\rightskip}{0pt plus 5cm}float timl\-Util\-Initializer\-::val}}\label{structtimlUtilInitializer_aa9fc114a6fbec1070ecf87c3e147dd67}
constant initializer 

The documentation for this struct was generated from the following file\-:\begin{DoxyCompactItemize}
\item 
\hyperlink{timlUtil_8h}{timl\-Util.\-h}\end{DoxyCompactItemize}
